Bug 14188 - branchtransfers GetAllTransfers and GetAllPendingTransfers functions to ease testing.
Summary: branchtransfers GetAllTransfers and GetAllPendingTransfers functions to ease ...
Status: CLOSED WONTFIX
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Olli-Antti Kivilahti
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 9525
  Show dependency treegraph
 
Reported: 2015-05-12 08:43 UTC by Olli-Antti Kivilahti
Modified: 2020-01-06 20:15 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 14188 - branchtransfers GetAllTransfers and GetAllPendingTransfers functions to ease testing. (2.98 KB, patch)
2015-05-12 08:44 UTC, Olli-Antti Kivilahti
Details | Diff | Splinter Review
Bug 14188 - branchtransfers GetAllTransfers and GetAllPendingTransfers functions to ease testing. (2.98 KB, patch)
2015-06-10 13:59 UTC, Olli-Antti Kivilahti
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Olli-Antti Kivilahti 2015-05-12 08:43:08 UTC

    
Comment 1 Olli-Antti Kivilahti 2015-05-12 08:44:05 UTC Comment hidden (obsolete)
Comment 2 Olli-Antti Kivilahti 2015-06-10 13:59:20 UTC
Created attachment 40076 [details] [review]
Bug 14188 - branchtransfers GetAllTransfers and GetAllPendingTransfers functions to ease testing.

Because there is no nice way of getting all branchtransfers and putting SQL into
tests is VERY VERY BAD, introducing these branchtransfer API calls to
conveniently get all transfers data nicely.

Unit tests included.

TEST PLAN:
Run t/db_dependent/Circulation_transfers.t
Comment 3 Marc Véron 2015-12-31 15:19:36 UTC
Wanted to test, but does not apply:

Applying: Bug 14188 - branchtransfers GetAllTransfers and GetAllPendingTransfers functions to ease testing.
fatal: sha1 information is lacking or useless (C4/Circulation.pm).
Repository lacks necessary blobs to fall back on 3-way merge.
Cannot fall back to three-way merge.
Patch failed at 0001 Bug 14188 - branchtransfers GetAllTransfers and GetAllPendingTransfers functions to ease testing.
Comment 4 Josef Moravec 2019-01-18 09:07:24 UTC
Koha::Item::Transfers->search should be enough I think...
Comment 5 Katrin Fischer 2019-01-19 09:08:54 UTC
Agreeing with Joseph - just changing status as BLOCKED usually indicates we are waiting for something higher up in the dependency tree.